/**
 * Created by Glen on 2015/11/2.
 */
//***************************************执行本地方法的统一入口*******************************************//
function exec(method, data, callBack) {
    execNative(method, data, callBack);
}


//初始化地图
var map;

function initMap() {//32.102208, 118.925946   //?lat=32.102208&lng=118.925946
    var lat=parseFloat(GetQueryString("lat"));
    var lng=parseFloat(GetQueryString("lng"));
    var level=parseFloat(GetQueryString("level"));
    var staticmap=GetQueryString("staticmap");
    var isMapSnap=true;
    if(staticmap!="true"){
        lat=32.102208;
        lng=118.925946
        isMapSnap=false;
        level=17;
    }
    var myLatLng = {lat: lat, lng: lng};
    map = new google.maps.Map(document.getElementById('map'), {
            zoom: level,
            center: myLatLng,
            disableDefaultUI: true
    });
    if(isMapSnap){
        var marker = new MarkerWithLabel({
           position: myLatLng,
           map: map,
           draggable: false,
           raiseOnDrag: false,
           labelContent: "",
           labelAnchor: new google.maps.Point(-5, 30),
           labelClass: "labels", // the CSS class for the label
           labelInBackground: false,
        });
    }
    onLoadFinish();
}

//******************************js方法***************************************//

function onLoadFinish(){
    execNative("onMapLoadFinish");
}

function GetQueryString(name) {
   var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)","i");
   var r = window.location.search.substr(1).match(reg);
   if (r!=null) return (r[2]); return null;
}

//*****************************************定义js方法，共native调用******************************************//

function moveCamera(data) {
  var obj = eval('(' + data + ')');
    //alert(obj.latitude);
    map.setZoom(obj.level);
    var latlng = new google.maps.LatLng(obj.latitude, obj.longitude);
    map.panTo(latlng);
}

function addMarker(data) {
    var obj = eval('(' + data + ')');
    var image = {
        url: '../images/conv30.png',
        size: new google.maps.Size(30, 27),
        origin: new google.maps.Point(0, 0),
        anchor: new google.maps.Point(0, 32)
    };
    var latlng = new google.maps.LatLng(obj.latitude, obj.longitude);
    var marker = new MarkerWithLabel({
        position: latlng,
        map: map,
      //  icon:image,
        draggable: false,
        raiseOnDrag: false,
        labelContent: "",
        labelAnchor: new google.maps.Point(-5, 30),
        labelClass: "labels", // the CSS class for the label
        labelInBackground: false,
    });
}